Subject: Re: [PATCH] Remove bogus errors from check_chosen.

From: Jerry Van Baren <[email-masked]>
Date: Fri, 23 Mar 2007 11:21:27 -0400

Scott Wood wrote:
> On Fri, Mar 23, 2007 at 02:31:58PM +1100, David Gibson wrote:
>> I'm not 100% comfortable with this patch; I'd like for dtc to have the
>> facility to do more-or-less complete tree validation.
> 
> That'd be nice as long as it's optional; it should be possible to do a
> low level dts->dtb transformation without the tool assuming that the
> output is intended to be a final, valid tree with the specific bindings
> that dtc knowns about (or even an OF-ish tree at all).
> 
> -Scott

It needs a -Wall ;-)

The -q[q[q]] I added cuts down/eliminates the moaning, but you still 
have to -f force the output which doesn't match what Scott is advocating 
if I understand him.

The gcc -Wall is backwards to what we should have, perhaps adding --no* 
options like:
   --nochosen
   --nocpu
   --noarmyboots
to tell dtc that lonely barefoot blobs are OK.

gvb